@import url("https://fonts.googleapis.com/css2?family=Varela+Round&display=swap");

:root {
  --main-font-color: rgb(255, 255, 255);
  --sub-font-color: #ff4c29;

  --font-size-s: 1.15rem;
  --font-size-m: 1.5rem;
  --font-size-l: 2rem;
  --font-size-xl: 5rem;

  --bg-color: #081c32;
  --fg-color: #2c394b;
  --alt-color: #334756;
  --acc-color: #ff4c29;
}

@media (max-width: 40rem) {
  :root {
    --font-size-s: 1rem;
    --font-size-m: 1.3rem;
    --font-size-l: 1.6rem;
    --font-size-xl: 4rem;
  }
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Varela Round", sans-serif;
  color: var(--main-font-color);
  user-select: none;
}

body {
  background-color: var(--bg-color);
  display: grid;
  height: 100vh;
  grid-template-rows: auto 1fr auto;
  position: relative;
}

/* body::before {
  content: "";
  background-color: #2c394b;
  height: 100%;
  width: 100vw;
  overflow: hidden;
  display: block;
  position: absolute;
  transform: skewX(-25deg);
  z-index: -1;
} */

a {
  text-decoration: none;
  color: rgb(255, 255, 255);
}

section {
  height: 100%;
  width: 100%;
}

[data-tab-content] {
  display: none;
}

.active[data-tab-content] {
  display: block;
}

/* .construction {
  background: repeating-linear-gradient(
    45deg,
    yellow 0px,
    yellow 40px,
    black 40px,
    black 80px
  );
  height: 50px;
} */

/* .construction > h1 {
  color: rgb(255, 0, 0);
  background-color: black;
  width: 600px;
  margin: auto;
  text-align: center;
} */

.tabs {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  padding: 1rem 0;
  list-style: none;
  border-bottom: 2px solid #334756;
  font-size: var(--font-size-m);
}

.tab {
  cursor: pointer;
}

.tab.active {
  transition: transform 0.3s ease-out;
  border-bottom: 2px solid #ff4c29;
  transform: translateY(-5px);
}

.hero {
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  flex: 1 0 300px;
  align-items: center;
  justify-content: space-around;
  padding: 2rem;
}

.hero-text {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.hero-text > h1 {
  font-size: var(--font-size-xl);
}

.hero-text > p {
  font-size: var(--font-size-m);
}

.hero > img {
  width: 90%;
  max-width: 350px;
  border-radius: 100%;
  border: 2px solid #ff4c29;
}

.btns {
  display: flex;
  gap: 1rem;
}

.cv-btn {
  background-color: #2c394b;
  border-radius: 25px;
  border: 2px solid #ff4c29;
  text-align: center;
  width: 100px;
  padding: 0.5rem;
}

.linkedin-btn {
  background-color: #2c394b;
  border-radius: 25px;
  border: 2px solid #ff4c29;
  text-align: center;
  width: 100px;
  padding: 0.5rem;
}

/* ABOUT */

.about {
  text-align: center;
  font-size: var(--font-size-s);
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 2rem;
  width: 90%;
  max-width: 700px;
  margin: 0 auto;
}

.about hr {
  color: #ff4c29;
}

/* PROJECTS */

.projects {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1.5rem;
  padding: 3rem;
}

.card {
  display: flex;
  flex-direction: column;
  flex: 1 0 300px;
  max-width: 450px;
  background-color: var(--fg-color);
  border-radius: 5px;
  border: 2px solid var(--acc-color);
  text-decoration: none;
  transition: transform 200ms ease-in-out;
}

.card:hover {
  transform: translateY(-1rem);
}

.content {
  padding: 1rem;
  height: 100%;
}

.title {
  font-size: var(--font-size-l);
  font-weight: 700;
  margin-bottom: 1rem;
}

.snippet {
  margin-bottom: 0.5rem;
}

footer {
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 1rem 0;
  border-top: 2px solid #334756;
}

.social-links > a {
  margin: 0 1rem;
}

.social-img {
  filter: invert(100%);
}

.appear-anim {
  animation: appear 2s;
}

@keyframes appear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 100;
  }
}

@media (max-width: 40rem) {
  .hero {
    flex-direction: column;
    text-align: center;
  }

  .btns {
    justify-content: center;
  }

  .about {
    padding: 1rem;
  }
}
